oracle.xml.parser.schema

## Class XMLSchemaNode

- java.lang.Object
- - oracle.xml.parser.schema.XSDNode
  - - oracle.xml.parser.schema.XMLSchemaNode

All Implemented Interfaces:
  XSDConstantValues

    public class XMLSchemaNode
    extends XSDNode

This class represents schema components in a target namespace, including type definitions, element and attribute delcarations, group and attribute group definitions.

### Field Summary

### Fields inherited from interface oracle.xml.parser.schema.XSDConstantValues

`_abstract, _all, _annotation, _any, _anyAttribute, _anySimpleType, _anyType, _appinfo, _attrFormDefault, _attribute, _attributeGroup, _attrTag, _base, _block, _blockDefault, _choice, _complexContent, _complexType, _content, _default, _derivedBy, _documentation, _element, _elementOnly, _elemFormDefault, _empty, _enumeration, _equivClass, _extension, _false, _field, _final, _finalDefault, _fixed, _form, _group, _id, _import, _include, _itemType, _key, _keyref, _lax, _list, _maxOccurs, _memberTypes, _minOccurs, _mixed, _nall, _name, _namespace, _nil, _nillable, _nnany, _nnlist, _nnlocal, _nnother, _nntargetNS, _noNSSchemaLocation, _notation, _null, _nullable, _optional, _pattern, _processContents, _prohibited, _publicid, _qualified, _redefine, _ref, _refer, _required, _restriction, _restrictions, _schemaLocation, _selector, _sequence, _simpleContent, _simpleType, _skip, _strict, _substitution, _substitutionGrp, _systemid, _targetNS, _textOnly, _this, _true, _type, _undef, _union, _unique, _unqualified, _use, _value, _version, _xmlns, ABSENT_NS, ACCEPTED, ALL, ANNOTATION, ANY, ANY_ATTRIBUTE, ANY_NODE, ATTRIBUTE, ATTRIBUTE_GROUP, AUTO_VALIDATION, BASE_RESOLVED, BASE_UNRESOLVED, BASE_URL, BUILD_FAIL, CHOICE, CIRCULAR_SUBST, CONFLICIT_FACET, constName, DATATYPE, DEEP_VALIDATION, derivationBlock, DONE, DUPLICATE_DEF, duplicateId, ELEMENT, ELEMENT_CHILD, ELEMENT_ONLY, elemNotNullable, EMPTY, ENTITY_RESOLVER, EQUIV_RESOLVED, EQUIV_UNRESOLVED, ERROR, EXTENTION, FACET_CHILD, FAKE_ATTR, FAKE_NODE, FIXED_SCHEMA, GROUP, IABSTRACT, IBLOCKEXT, IBLOCKRST, IBLOCKSUB, IDENTITY_ERROR, IDENTITY_KEY, IDENTITY_KEYREF, IDENTITY_UNIQUE, IFINALEXT, IFINALLIST, IFINALRST, IFINALUNION, IMPORT, INCLUDE, INCORRECT_ATTR, INCORRECT_ELEM, INFINITY, INTERNAL_ERROR, INVALID_DATE, INVALID_DATETIME, INVALID_DERIVATION, INVALID_FACET, INVALID_FACET_VALUE, INVALID_NOTATION, INVALID_REGEX, INVALID_SCHEMA_NS, INVALID_TIME, INVALID_TYPE_VALUE, invalidAttr, invalidAttrVal, invalidChars, invalidElem, invalidFixedChars, invalidNS, invalidPrefix, invalidProperty, invalidRef, invalidSubstitution, invalidTargetNS, LAX_VALIDATION, MISSING_NS, missingAttr, MIXED, NEW_STATE, NO_CHILD, noDefinition, NOT_DONE, NOTATION, notComplete, notSubstitutable, notSubTypeOf, NS_CONFLICT, NS_DIF_SPECIFIED, NS_NOT_ALLOWED, NS_NOT_EXPECTED, NS_NOT_SAME, NS_RESOLVER, REDEFINE, REF_RESOLVED, REF_UNRESOLVED, RESTRICTION, ROOT_ELEMENT, ROOT_NODE, ROOT_TYPE, SCHEMA_NS, SCHEMA_RESOLVER, SEQ, STRICT_VALIDATION, TEXT_ONLY, TOP_LEVEL, TYPE, TYPE_RESOLVED, TYPE_UNRESOLVED, UNDEF, unexpectedAttr, unexpectedElem, VALIDATION_MODE, VIOLATE_FACET, XSDRECNS, XSDRECTYPENS, XSIRECNS, XSITYPE_ABSENT`

### Constructor Summary

Constructors
Constructor and Description
`XMLSchemaNode()` XNLSchema constructor.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`XSDAttrGroup` `getAttrGroup(java.lang.String nm)` Get AttributeGroup schema component given local name
`XSDNode[]` `getAttrGroupSet()` Get all the top level attribute group in the schema
`XSDAttribute[]` `getAttributeDeclarations()` Get all the top level attributes in the schema
`XSDNode[]` `getAttributeSet()` Deprecated. - use getAttributeDeclarations
`XSDNode[]` `getComplexTypeSet()` Get all the top level complex type elements in the schema
`java.util.Hashtable` `getComplexTypeTable()` Deprecated.
`XSDElement` `getElement(java.lang.String nm)` Get Element schema component given local name
`XSDNode[]` `getElementSet()` Get all the top level elements in the schema
`XSDNode[]` `getSimpleTypeSet()` Get all the top level simpleType elements in the schema
`java.util.Hashtable` `getSimpleTypeTable()` Deprecated.
`java.lang.String` `getTargetNS()` Get targetNS of the schema
`java.util.Hashtable` `getTypeDefinitionTable()` Get the type definitions

### Methods inherited from class oracle.xml.parser.schema.XSDNode

`getName, getNodeType, getOwnerSchema, getRefLocalname, isNodeType`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### XMLSchemaNode

    public XMLSchemaNode()

XNLSchema constructor.

### Method Detail

#### getTypeDefinitionTable

    public java.util.Hashtable getTypeDefinitionTable()

Get the type definitions

Returns:
  Hashtable of type definitions

#### getSimpleTypeTable

    public java.util.Hashtable getSimpleTypeTable()

Deprecated.
Get the simple type definitions

Returns:
  Hashtable of simpletypes

#### getComplexTypeTable

    public java.util.Hashtable getComplexTypeTable()

Deprecated.
Get the complex type definitions

Returns:
  Hashtable of complextypes

#### getTargetNS

    public java.lang.String getTargetNS()

Get targetNS of the schema

Overrides:
  `getTargetNS` in class `XSDNode`
Returns:
  value - targetNS

#### getElement

    public XSDElement getElement(java.lang.String nm)

Get Element schema component given local name

Parameters:
  `nm` - - local name
Returns:
  XSDNode - The schema component

#### getAttrGroup

    public XSDAttrGroup getAttrGroup(java.lang.String nm)

Get AttributeGroup schema component given local name

Parameters:
  `nm` - - local name
Returns:
  XSDNode - The schema component

#### getElementSet

    public XSDNode[] getElementSet()

Get all the top level elements in the schema

Returns:
  an array of top level XSDNode elements

#### getAttrGroupSet

    public XSDNode[] getAttrGroupSet()

Get all the top level attribute group in the schema

Returns:
  an array of top level XSD attribute groups

#### getAttributeSet

    public XSDNode[] getAttributeSet()

Deprecated. - use getAttributeDeclarations
Get all the top level attributes in the schema

Returns:
  an array of top level XSDNode attributes

#### getAttributeDeclarations

    public XSDAttribute[] getAttributeDeclarations()

Get all the top level attributes in the schema

Returns:
  an array of top level attribute definitions

#### getComplexTypeSet

    public XSDNode[] getComplexTypeSet()

Get all the top level complex type elements in the schema

Returns:
  an array of top level complexType nodes

#### getSimpleTypeSet

    public XSDNode[] getSimpleTypeSet()

Get all the top level simpleType elements in the schema

Returns:
  an array of top level simpleType nodes

Copyright © 2003, 2020, Oracle and/or its affiliates.